V1Plans

保証プラン更新

PUT
/v1/plans/{planId}

Path Parameters

planId*string

plan.id

Header Parameters

X-Proteger-Auth-Token*string

protegerAccessToken

Content-Type*string

application/json

Accept*string

application/json

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/plans/c10a0882-2b11-633d-7de6-0563bbf9dbed" \  -H "X-Proteger-Auth-Token: string" \  -H "Content-Type: string" \  -H "Accept: string" \  -H "Content-Type: application/json" \  -d '{    "storeReferenceId": "001"  }'
{  "id": "c10a0882-2b11-633d-7de6-0563bbf9dbed",  "storeReferenceId": "001",  "title": "1年延長保証",  "price": 2000,  "termLength": 12,  "serviceType": "Repair",  "protectionType": "Base",  "url": "string"}
{  "requestId": "kJZQv3lyB2rjHKNbeGBy5HMet4MO0nw9",  "code": "BadRequestException",  "error": "failed create contract: failed get product: not found"}
{  "requestId": "kJZQv3lyB2rjHKNbeGBy5HMet4MO0nw9",  "code": "BadRequestException",  "error": "failed create contract: failed get product: not found"}